import { Props } from '../../utils/props';
export interface SelectOption {
    value: any;
    label: string;
    disabled?: boolean;
    key?: string;
    title?: string;
}
export declare type SelectOptions = SelectOption[];
export interface SelectProps extends Props {
    data: SelectOptions;
    value: string;
    dataFieldNames: {
        label: string;
        value: string;
        options: string;
    };
    mode: 'multiple' | 'tags' | 'combobox' | undefined;
    maxTagCount: number | undefined;
    autoClearSearchValue: boolean;
    placeholder: string;
    selectFirstOption: boolean;
    selectAllOption: boolean;
    graphicConfig: {
        [key: string]: any;
    };
    valueType: 'label' | 'value';
    isAllowClear: boolean;
    optionFontSize: string;
    hasAllCheck: boolean;
    minTagCount: number;
}
export declare const selectProps: SelectProps;
export declare const selectComponentProps: {
    data: {
        type?: import("vue").PropType<SelectOptions>;
        default?: SelectOptions;
    };
    value: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataFieldNames: {
        type?: import("vue").PropType<{
            label: string;
            value: string;
            options: string;
        }>;
        default?: {
            label: string;
            value: string;
            options: string;
        };
    };
    mode: {
        type?: import("vue").PropType<"multiple" | "tags" | "combobox">;
        default?: "multiple" | "tags" | "combobox";
    };
    maxTagCount: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    autoClearSearchValue: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    placeholder: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    selectFirstOption: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    selectAllOption: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    valueType: {
        type?: import("vue").PropType<"label" | "value">;
        default?: "label" | "value";
    };
    isAllowClear: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    optionFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    hasAllCheck: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    minTagCount: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import('../../utils/props').Events>;
        default?: import('../../utils/props').Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import('../../utils/props').RequestMethod>;
        default?: import('../../utils/props').RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import('../../utils/props').RequestParams>;
        default?: import('../../utils/props').RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
};
export declare const selectEvents: string[];
